package com.ss.android.ugc.aweme.shortvideo.model;

import X.0CH;
import X.1Bn;
import X.M12;
import X.OIZ;
import android.view.View;
import com.bytedance.covode.number.Covode;

public class CommonSettingItemStatus extends CommonViewStatus {
    public final 1Bn<Boolean> _checked = new 1Bn<>();
    public final 1Bn<String> _leftText = new 1Bn<>();

    static {
        Covode.recordClassIndex(110984);
    }

    public void bindView(View view, 0CH r4) {
        M12.LIZ(view, r4);
        super.bindView(view, r4);
        if (view instanceof OIZ) {
            this._checked.observe(r4, new CommonSettingItemStatus$bindView$1(view));
            this._leftText.observe(r4, new CommonSettingItemStatus$bindView$2(view));
        }
    }
}
